---
reference: labs
---

@# Labs

<div class="pt-callout pt-intent-warning pt-icon-info-sign">
    <h5>Under construction</h5>
    The **[@blueprintjs/labs](https://www.npmjs.com/package/@blueprintjs/labs)** NPM package contains **unstable React components under active development by team members**. It is an incubator and staging area for components as we refine the API design; as such, this package will never reach 1.0.0, and every minor version should be considered breaking.
</div>

- [`Select`](#labs/select-component) for selecting items in a list.

- [`Suggest`](#labs/suggest) for selecting items in a list, from a text input.

- [`MultiSelect`](#labs/multi-select) for selecting multiple items in a list.

- [`Omnibox`](#labs/omnibox) is a macOS spotlight-style typeahead component.

- [`QueryList`](#labs/query-list) is a higher-order component that provides interactions between a query string and a list of items.

- [`TagInput`](#labs/tag-input) is an input component for [`Tag`](#core/components/tag)s.

- [`Popover2`](#labs/popover2) is an improvement over [`Popover`](#core/components/popover), using [Popper.js](https://popper.js.org/).

- [`Tooltip2`](#labs/tooltip2) is like [`Tooltip`](#core/components/tooltip), but uses [`Popover2`](#labs/popover2).

- [`TimezonePicker`](#labs/timezone-picker) for selecting timezones.

@page select-component
@page suggest
@page multi-select
@page omnibox
@page query-list
@page tag-input
@page popover2
@page tooltip2
@page timezone-picker
